
QGIS Application - Bug report #13124

Spatial Query unstable

2015-07-16 05:28 AM - Rhenriques Henriques

Status: Closed

Priority: High

Assignee:

Category: C++ plugins/Spatial Query

Affected QGIS version:master Regression?: No

Operating System: MacOSX Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:Yes Copied to github as #: 21189

Description

The QGIS version "2.11.0-Maste; code revision ce2c402" and all the previous ones show instability in the Spatial Query plugin. QGIS

crashes easily in the most simple selection by intersection operation.

History

#1 - 2015-07-16 07:23 AM - Nyall Dawson

- Assignee deleted (Nyall Dawson)

#2 - 2015-07-30 03:59 PM - Giovanni Manghi

- Affected QGIS version changed from 2.10.0 to master

- Crashes QGIS or corrupts data changed from No to Yes

- Status changed from Open to Feedback

- Category changed from Vectors to C++ plugins/Spatial Query

This is not my general experience on both Linux and Windows. Please attach a sample of data that is causing the crash for you on Mac.

#3 - 2015-07-31 05:57 PM - Rhenriques Henriques

- % Done changed from 0 to 100

Hi Giovanni

Things are now very stable in the final release. All bugs seem to be sorted in the 2.10 stable version with the same data that was giving problems before. 

Best regards.

#4 - 2015-08-01 02:16 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to not reproducable
